﻿using System;

namespace CrossWordCSharp
{
    class RandomGen
    {
        uint seed;
        public RandomGen()
        {
            seed = 0x42424242;
        }
        public uint rand16()
        {
            uint res = (seed >> 15) & 0xff; // the magic numbers are from glibc
            seed = ((seed * 1103515245 + 12345) & 0x7fffffff);
            return res;
        }
        public uint urand()
        {
            return rand16() ^ (rand16() << 15);
        }
        public int rand()
        {
            return (int) (rand16() ^ (rand16() << 15));
        }
        const uint RAND_MAX = 0x7fffffff;
    }
}
